# Uses of Interface
org.springframework.context.annotation.ConditionContext

Packages that use ConditionContext
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of ConditionContext in org.springframework.context.annotation

Methods in org.springframework.context.annotation with parameters of type ConditionContext
Modifier and Type
Method
Description
`boolean`
Condition.`matches(ConditionContext context, org.springframework.core.type.AnnotatedTypeMetadata metadata)`
Determine if the condition matches.